## python-imaging 1.1.6-0ubuntu3

=== debian/changelog ===
python-imaging (1.1.6-0ubuntu3) feisty; urgency=low

  * Sane/_sane.c: Initialize variable. Ubuntu #88059.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  4 Apr 2007 08:11:53 +0200

python-imaging (1.1.6-0ubuntu2) feisty; urgency=low

  * Build python-debug packages.
  * Add build dependency on python-numarray-dbg.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Feb 2007 03:07:23 +0100

python-imaging (1.1.6-0ubuntu1) feisty; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Dec 2006 16:51:57 +0100

python-imaging (1.1.5-11) unstable; urgency=low

  * python-imaging-sane: Depend on python-numarray. Closes: #382190.
  * Add dependencies on ${shlibs:Depends}, lost in -6. Closes: #378596.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Aug 2006 23:14:10 +0000

python-imaging (1.1.5-10) unstable; urgency=low

  * pilfont.py: Add interpreter name. Closes: #350146.

 -- Matthias Klose <doko@debian.org>  Sat,  8 Jul 2006 00:07:36 +0000

python-imaging (1.1.5-9) unstable; urgency=low

  * Call dh_python before dh_pycentral.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Jun 2006 23:16:29 +0000

python-imaging (1.1.5-8) unstable; urgency=low

  * Do not depend on python2.4.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jun 2006 22:47:12 +0000

python-imaging (1.1.5-7) unstable; urgency=low

  * Readd the provides for the versioned packages.

 -- Matthias Klose <doko@debian.org>  Fri,  9 Jun 2006 16:06:45 +0000

python-imaging (1.1.5-6) unstable; urgency=low

  * New maintainer.
  * Convert to python-central.

 -- Matthias Klose <doko@debian.org>  Tue,  6 Jun 2006 23:05:06 +0000

python-imaging (1.1.5-5) unstable; urgency=low

  * Test build using python-central.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2006 18:15:59 +0000

python-imaging (1.1.5-4) unstable; urgency=low

  * Change section to python.
  * Remove binaries from python2.4-imaging package (closes: #316917).
  * Acknowledge NMU (1.1.4-3.1). Closes: #303897.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Jul 2005 18:13:33 +0000

python-imaging (1.1.5-3) unstable; urgency=low

  * Fix upgrade from old python2.3-imaging package (closes: #316917).

 -- Matthias Klose <doko@debian.org>  Fri,  8 Jul 2005 13:29:34 +0000

python-imaging (1.1.5-2) unstable; urgency=low

  * Move the binary scripts into the python-imaging package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jun 2005 11:18:24 +0200

python-imaging (1.1.5-0ubuntu1) breezy; urgency=low

  * Synchronise with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Jun 2005 22:00:16 +0200

python-imaging (1.1.5-1) unstable; urgency=low

  * New upstream version (closes: #303067).
  * Merge changes from Ubuntu:
    - Add python2.4 packages, drop python2.1 and python2.2 packages.
      Closes: #292567.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Jun 2005 20:21:06 +0200

python-imaging (1.1.4-3.1) unstable; urgency=low

  * NMU. 
  * debian/control: Build-Depends: change libjpegg-dev to libjpeg-dev.
    (Closes: #303897). Thanks Daniel Schepler.

 -- Bill Allombert <ballombe@debian.org>  Thu, 14 Apr 2005 18:10:45 +0200

python-imaging (1.1.4-3) unstable; urgency=low

  * New maintainer.
    - ACKing NMUs.
    - No longer use dpatch -- they were introduced by the first NMU;
      I tend to use a real source management system. ;-)
  * Reworded a few Description: tags to shut up Lintian.

 -- Matthias Urlichs <smurf@debian.org>  Mon,  5 Jan 2004 19:00:21 +0100

python-imaging (1.1.4-2.2) unstable; urgency=low

  * NMU from Minneapolis BSP.
  * Fixed freetype header reference. (Closes: #222469)

 -- Scott Dier <sdier@debian.org>  Sat, 13 Dec 2003 23:26:22 -0600

python-imaging (1.1.4-2.1) unstable; urgency=low

  * Non-maintainer upload
  * use dh_python, which needs build-depends on python
    (Closes: #188146) - removal of .py[co] files
  * Standards version 3.6.1
  * use dpatch:
    - 01_fix_png_text_parsing
      (Closes: #211712)
    - 02_fix_olefileio_typo
      (Closes: #197165) (Closes: #198210)
    - 03_remove_rexec_usage
      (Closes: #182149)
    - 04_retain_gif_transparency
      (Closes: #159693)
    - 05_dump_to_jpeg
      (Closes: #146493)
  * install docs in python-imaging-doc package (Closes: #176420)
  * Sane patch already applied (Closes: #156158)
  * add mime-support | python(X.Y)-imaging-tk to depends, because the
    Image.show() function uses either TkImage or _showmime
  * improve -tk package description (Closes: #209976)

 -- Bastian Kleineidam <calvin@debian.org>  Sat,  4 Oct 2003 16:57:59 +0200

python-imaging (1.1.4-2) unstable; urgency=low

  * New source version due to the fact that testing cannot handle all-
    architecture binary-only uploads (Closes: #212853)

 -- Simon Richter <sjr@debian.org>  Tue, 30 Sep 2003 02:45:34 +0200

python-imaging (1.1.4-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Thu, 10 Apr 2003 17:49:10 +0200

python-imaging (1.1.3-4) unstable; urgency=low

  * Accepted changes from NMU, although I still don't like distutils for
    being opaque (Actually closes: #161120, #161718, #162065)
  * We now use Tcl/Tk 8.4

 -- Simon Richter <sjr@debian.org>  Tue, 26 Nov 2002 16:49:50 +0100

python-imaging (1.1.3-3.3) unstable; urgency=low

  * Add python2.[123]-tk to the build dependencies.

 -- Matthias Klose <doko@debian.org>  Thu,  3 Oct 2002 14:38:11 +0200

python-imaging (1.1.3-3.1) unstable; urgency=low

  * NMU.
  * Build using distutils (closes: #161120, #161718, #162065).

 -- Matthias Klose <doko@debian.org>  Sat, 28 Sep 2002 15:28:40 +0200

python-imaging (1.1.3-3) unstable; urgency=low

  * Added Python 2.3 support

 -- Simon Richter <sjr@debian.org>  Sun, 15 Sep 2002 18:10:28 +0200

python-imaging (1.1.3-2) unstable; urgency=low

  * Also switched python-imaging-sane and python-imaging-tk to 2.2 as
    default version
  * Dropped python 1.5 packages


