## python-imaging 1.1.6-1

=== debian/changelog ===
python-imaging (1.1.6-1) unstable; urgency=low

  * New upstream version.
  * Merge from Ubuntu:
    - Build python-debug packages.
    - Add build dependency on python-numarray-dbg.
    - Sane/_sane.c: Initialize variable. Ubuntu #88059.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 May 2007 06:31:21 +0200
