=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-imaging
 Section: python
+Priority: optional
+Maintainer: Matthias Klose <doko@debian.org>
+Build-Depends: tk8.4-dev, python-all-dev, python-all-dbg, python-central (>= 0.4.12), python-tk (>= 2.4.3), python-numarray-dbg, libsane-dev, libfreetype6-dev, libjpeg62-dev, zlib1g-dev, debhelper (>= 5.0.37.1)
 XS-Python-Version: all
-Priority: optional
-Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: tk8.4-dev, python-all-dev, python-all-dbg (>= 2.5-0ubuntu5), python-central (>= 0.4.12), python-tk (>= 2.4.3), python-numarray-dbg, libsane-dev, libfreetype6-dev, libjpeg62-dev, zlib1g-dev, debhelper (>= 5.0.37.1)
 
 Package: python-imaging
 Architecture: any
