## python-imaging 1.1.6-1ubuntu5

=== debian/changelog ===
python-imaging (1.1.6-1ubuntu5) hardy; urgency=low

  * In __array_interface__ add support for 16bit TIF images (Luke
    Campagnola). LP: #198892.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Apr 2008 20:44:17 +0200

python-imaging (1.1.6-1ubuntu4) hardy; urgency=low

  * Search for available image viewers. LP: #67755.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Apr 2008 16:29:57 +0000

python-imaging (1.1.6-1ubuntu3) hardy; urgency=low

  * Rebuild with recent python-central.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Mar 2008 12:46:51 +0000

python-imaging (1.1.6-1ubuntu2) hardy; urgency=low

  * Build-depend on python-tk-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Jan 2008 12:11:48 +0000

python-imaging (1.1.6-1ubuntu1) hardy; urgency=low

  * Don't build the Sane module with suppport for python-numarray.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Jan 2008 19:56:07 +0100
