=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: python-imaging
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: tk8.4-dev, python-all-dev, python-all-dbg, python-central (>= 0.4.12), python-tk (>= 2.4.3), python-numarray-dbg, libsane-dev, libfreetype6-dev, libjpeg62-dev, zlib1g-dev, debhelper (>= 5.0.37.1)
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Build-Depends: tk8.4-dev, python-all-dev, python-all-dbg, python-central (>= 0.4.12), python-tk-dbg, libsane-dev, libfreetype6-dev, libjpeg62-dev, zlib1g-dev, debhelper (>= 5.0.37.1)
 XS-Python-Version: all
 Standards-Version: 3.7.2
 
@@ -70,7 +71,7 @@
 
 Package: python-imaging-sane
 Architecture: any
-Depends: python-imaging (= ${Source-Version}), python-numarray, ${python:Depends}, ${shlibs:Depends}
+Depends: python-imaging (= ${Source-Version}), ${python:Depends}, ${shlibs:Depends}
 Conflicts: python2.3-imaging-sane, python2.4-imaging-sane
 Replaces: python2.3-imaging-sane, python2.4-imaging-sane
 Recommends: python-tk
