## python-imaging 1.1.6-3

=== debian/changelog ===
python-imaging (1.1.6-3) unstable; urgency=low

  * Do not build-depend on python-numarray, it's deprecated. Closes: #478466.
  * Merge from Ubuntu:
    - In __array_interface__ add support for 16bit TIF images (Luke
      Campagnola). LP: #198892.
    - Search for available image viewers. LP: #67755. Closes: #321658.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Jun 2008 21:52:59 +0200

python-imaging (1.1.6-2) unstable; urgency=low

  * Build-depend on python-tk-dbg. Closes: #460372.
  * Apply fix for PIL not saving TIFF dpi correctly. Closes: #419463.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2008 23:40:28 +0100
