=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-imaging
 Section: python
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: tk8.4-dev, python-all-dev, python-all-dbg, python-central (>= 0.4.12), python-tk-dbg, libsane-dev, libfreetype6-dev, libjpeg62-dev, zlib1g-dev, debhelper (>= 5.0.37.1)
+Maintainer: Matthias Klose <doko@debian.org>
+Build-Depends: tk8.4-dev, python-all-dev, python-all-dbg, python-central (>= 0.4.12), python-tk-dbg (>= 2.4.3), libsane-dev, libfreetype6-dev, libjpeg62-dev, zlib1g-dev, debhelper (>= 5.0.37.1)
+Build-Conflicts: python-numarray
 XS-Python-Version: all
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 
 Package: python-imaging
 Architecture: any
@@ -86,7 +86,7 @@
 Package: python-imaging-sane-dbg
 Priority: extra
 Architecture: any
-Depends: python-imaging-sane (= ${Source-Version}), python-imaging-dbg (= ${Source-Version}), python-numarray-dbg, python-dbg, ${shlibs:Depends}
+Depends: python-imaging-sane (= ${Source-Version}), python-imaging-dbg (= ${Source-Version}), python-dbg, ${shlibs:Depends}
 Description: Python Imaging Library - SANE interface (debug extension)
  The imaging-sane module is a Python interface to the SANE (Scanner
  Access is Now Easy) library, which provides access to various raster
