=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYVERS=$(shell pyversions -vr)
+PYVERS	:= $(shell pyversions -vr)
 PYVER   := $(shell python -c 'import sys; print sys.version[:3]')
 
 build: build-stamp
-build-stamp: $(PYVERS:%=build-python%)
+build-stamp: $(PYVERS:%=build-stamp-python%)
 	touch $@
-build-python%:
+build-stamp-python%:
 	python$* setup.py build
 	cd Sane && python$* setup.py build
 
@@ -20,7 +20,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f *-stamp
+	rm -f *-stamp*
 	rm -rf compile build Sane/build
 	find -name '*.py[co]' -exec rm -f {} \;
 	dh_clean
