## python-imaging 1.1.6-3maemo2

=== debian/changelog ===
python-imaging (1.1.6-3maemo2) unstable; urgency=low

  [ Bruno dos Santos de Araujo ]
  * Add Conflicts/Replaces entry in debian/control:
    - python2.5-imaging (<< 1.1.6-3maemo2)

  [ Anderson Lizardo ]
  * Remove "mime-support | python-imaging-tk" dependency (not available in
    maemo Diablo).
  * Put the pymaemo-developers mailing list address in "Maintainer" field and
    move original value to a separate field.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Tue, 31 Mar 2009 22:16:24 -0400

python-imaging (1.1.6-3maemo1) unstable; urgency=low

  * Removed tk8.4-dev, python-tk-dbg (>= 2.4.3) and 
    libsane-dev dependencies
  * Building only python-imaging and python-imaging-dbg and marking all 
    other packages in debian/control as optional

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Mon, 10 Nov 2008 13:35:46 -0400
