## python-imaging 1.1.6-3ubuntu1

=== debian/changelog ===
python-imaging (1.1.6-3ubuntu1) jaunty; urgency=low

  * Build-depend on tk8.5-dev.
  * Build for python2.6.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Feb 2009 19:21:14 +0000
