=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: python-imaging
 Section: python
 Priority: optional
-Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: python-all-dev, python-all-dbg, python-central (>= 0.4.12), libfreetype6-dev, libjpeg62-dev, zlib1g-dev, debhelper (>= 5.0.37.1)
-Build-Conflicts: python-numarray
+Maintainer: Matthias Klose <doko@debian.org>
+Build-Depends: tk8.5-dev, python-all-dev, python-all-dbg, python-central (>= 0.6.11), python-tk-dbg (>= 2.4.3), libsane-dev, libfreetype6-dev, libjpeg62-dev, zlib1g-dev, debhelper (>= 5.0.37.1)
+Build-Conflicts: python-numarray, tk8.4-dev
 XS-Python-Version: all
 Standards-Version: 3.8.0
 
 Package: python-imaging
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}
+Depends: ${python:Depends}, mime-support | python-imaging-tk, ${shlibs:Depends}
 Suggests: python-imaging-doc, python-imaging-dbg
-Conflicts: pil, python-pil, python2.3-imaging, python2.4-imaging, python2.5-imaging (<< 1.1.6-3maemo2)
-Replaces: pil, python-pil, python2.3-imaging, python2.4-imaging, python2.5-imaging (<< 1.1.6-3maemo2)
+Conflicts: pil, python-pil, python2.3-imaging, python2.4-imaging
+Replaces: pil, python-pil, python2.3-imaging, python2.4-imaging
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Python Imaging Library
