## python-imaging 1.1.7

=== debian/changelog ===
python-imaging (1.1.7-3ubuntu1) oneiric; urgency=low

  * debian/patches/01_multiarch_support.patch
    - Add multiarch search directories as given by dpkg-architecture.
      This re-enables support for: tkinter, jpeg, zlib, freetype2, and
      littlecms.  Problem found and patch inspired by Marc Tardif (cr3).
      (LP: #806661)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 07 Jul 2011 08:08:10 -0400

python-imaging (1.1.7-3) unstable; urgency=low

  * Fix buffer overflow (taken from Fedora).
  * Fix "split after open" bug. Closes: #561965.
  * Remove obsolete conflicts/replaces.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Jun 2011 18:54:43 +0200

python-imaging (1.1.7-2) unstable; urgency=low

  * Build-depend on liblcms1-dev. Closes: #583620.
  * Build using dh_python2 instead of dh_pycentral.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Jul 2010 11:46:12 +0200

python-imaging (1.1.7-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Nov 2009 19:22:59 +0100

python-imaging (1.1.6-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied and uploaded Kumar's patch. (Closes: #547844)

 -- Bastian Venthur <venthur@debian.org>  Sat, 07 Nov 2009 12:54:12 +0100

python-imaging (1.1.6-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch from Tcl/Tk 8.4 to 8.5, following the move initiated in
    python-tk 2.5.2-1.1 (See: #521078):
     - Build-Depends on tk8.5-dev rather than tk8.4-dev.
     - Build-Depends on python-tk-dbg (>= 2.5.2-1.1) rather than
       python-tk-dbg (>= 2.4.3).
     - Depends on/Recommends python-tk (>= 2.5.2-1.1) rathen than
       python-tk (>= 2.4.3).
     - Use /usr/include/tcl8.5 in setup.py, instead of tcl8.4
    Thanks to Jakub Wilk for the patch on which this is based, which fixes
    the FTBFS (Closes: #537003).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 03 Sep 2009 05:04:46 +0200
