=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PYVERS	:= $(shell pyversions -vr)
 PYVER   := $(shell python -c 'import sys; print sys.version[:3]')
 
-include /usr/share/pycentral-data/pycentral.mk
+include /usr/share/python/python.mk
 
 build: build-stamp
 build-stamp: $(PYVERS:%=build-stamp-python%)
@@ -60,9 +60,9 @@
 	dh_clean -k
 
 install-python%:
-	python$* setup.py install --root $(CURDIR)/debian/python-imaging --install-layout=deb
+	python$* setup.py install --root $(CURDIR)/debian/python-imaging $(py_setup_install_args)
 	cd Sane && python$* setup.py install \
-		--root $(CURDIR)/debian/python-imaging-sane --install-layout=deb
+		--root $(CURDIR)/debian/python-imaging-sane  $(py_setup_install_args)
 	mkdir -p debian/python-imaging/usr/include/python$*
 	install -o root -g root -m 644 \
 		libImaging/Imaging.h \
@@ -72,17 +72,17 @@
 
 	dh_movefiles -ppython-imaging-tk \
 	    --sourcedir=debian/python-imaging \
-		usr/lib/python$*/$(call sitedir,$*)/PIL/_imagingtk.so \
-		usr/lib/python$*/$(call sitedir,$*)/PIL/ImageTk.py
+		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/_imagingtk.so \
+		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/ImageTk.py
 
-	python$*-dbg setup.py install --root $(CURDIR)/debian/python-imaging-dbg --install-layout=deb
+	python$*-dbg setup.py install --root $(CURDIR)/debian/python-imaging-dbg $(py_setup_install_args)
 	mkdir -p debian/python-imaging-dbg/usr/include/python$*_d
 	for i in Imaging.h ImPlatform.h ImDib.h; do \
 	  ln -sf ../python$*/$$i \
 	    debian/python-imaging-dbg/usr/include/python$*_d/$$i; \
 	done
-	cd Sane && python$*-dbg setup.py install --install-layout=deb \
-		--root $(CURDIR)/debian/python-imaging-sane-dbg
+	cd Sane && python$*-dbg setup.py install \
+		--root $(CURDIR)/debian/python-imaging-sane-dbg  $(py_setup_install_args)
 
 	find debian/python-imaging*-dbg \
 		! -type d ! \( -name '*_d.so' -o -name '*.h' \) | xargs rm -f
@@ -90,7 +90,7 @@
 
 	dh_movefiles -ppython-imaging-tk-dbg \
 	    --sourcedir=debian/python-imaging-dbg \
-		usr/lib/python$*/$(call sitedir,$*)/PIL/_imagingtk_d.so
+		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/_imagingtk_d.so
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
@@ -105,7 +105,7 @@
 #	dh_installinfo -i
 #	dh_undocumented -i
 	dh_installchangelogs -i CHANGES
-	DH_PYCENTRAL=include-links dh_pycentral -i
+	dh_python2 -i
 	dh_link -i
 	dh_compress -i -X.py
 	dh_fixperms -i
@@ -130,7 +130,7 @@
 	  rm -rf debian/$$p-dbg/usr/share/doc/$$p-dbg; \
 	  ln -s $$p debian/$$p-dbg/usr/share/doc/$$p-dbg; \
 	done
-	DH_PYCENTRAL=include-links dh_pycentral -a
+	dh_python2 -a
 	dh_strip -ppython-imaging --dbg-package=python-imaging-dbg
 	dh_strip -ppython-imaging-tk --dbg-package=python-imaging-tk-dbg
 	dh_strip -ppython-imaging-sane --dbg-package=python-imaging-sane-dbg
